---
title: Enforce License scan matching pre-existing types targeting All Branches
description: Enforce Project-Level Scan Result Policy when License Scan finds any license matching selected pre-existing license types in an open merge request targeting All Branches.
preparation:
  - partial: preparation/new-project-with-license-ci-job
steps:
- partial: steps/001-go-to-security-compliance-and-click-policies
- partial: steps/002-click-on-new-policy-button
- partial: steps/003-click-on-scan-result-policy-section
- partial: steps/general/fill-policy-name
  replace:
    POLICY_NAME: Test 011
- partial: steps/general/select-license-scan
  replace:
    POLICY_NAME: Test 011
    MATCHER: matching
    MATCH_ON_INCLUSION: 'true'
    LICENSE_NAME: MIT License
    LICENSE_STATE_NAME: Pre-existing
    LICENSE_STATE_KEY: detected
- partial: steps/general/select-approver-group
- partial: steps/general/configure-with-a-merge-button
  replace:
    PROJECT_NAME: test-011
- partial: steps/general/merge
- partial: steps/general/update-requirements-in-mr
  replace:
    PACKAGE: mariadb
- partial: steps/general/create-mr
- step: Click on the running pipeline and wait for it to finish
  expected_results:
  - "`license_scanning` job is visible and successful"
  - "`test-job` job is visible and successful"
- partial: steps/011-check-pre-existing-license-violation
  replace:
    EXPECTED_LICENSES: one license is
- partial: steps/011-check-pre-existing-license-approval
video: videos/scan-result-policies/011-enforce-license-scan-matching-pre-existing-for-all-branches.mp4
epics:
  - https://gitlab.com/groups/gitlab-org/-/epics/8092
issues:
